Replace repository application mappings
/api/v1/org/{orgId}/repo/{repoId}/applications Replace Repository Applications
Replace the list of applications for the given repository.
Usage: Only the id parameters are required for this request. All other fields are ignored.
orgIdrepoIdappInfos.[*].id- one entry for each app you want to map. You must pass in current mappings to maintain them.
Note that the other fields in appInfos are read-only for this request, and will be ignored.
🧾 Audited This is recorded as
APPLICATIONS_ADDED_FOR_REPOSUser Activity.
Requires
write:applicationpermission.
Path parameters
orgIdstring · uuidrequiredUUID identifier for this StackHawk Organization.
repoIdstring · uuidrequiredUUID identifier for this StackHawk Repository.
Body
The list of application mappings for this repository.
The organization this operation belong to.
The repository id to replace application mappings for.
Response
OK
The list of application mappings for this repository.
The organization this operation belong to.
The repository id to replace application mappings for.
The list of application mappings for this repository.
The organization this operation belong to.
The repository id to replace application mappings for.
Bad Request
Unauthorized